跳轉到主要內容

Documentation Index

Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt

Use this file to discover all available pages before exploring further.

路徑參數

model
string
必填
要擷取的模型 ID(例如:gpt-5.4claude-sonnet-4-6)。

回應

id
string
模型識別碼。
object
string
一律為 model
created
integer
建立時間戳。
owned_by
string
模型提供者。
lemondata
object
TokenLab 專屬的公開中繼資料。詳情路由可包含 categorypricing_unitcapability_flagssupported_operationspricing_provenancepublic_contract_summary、完整的 public_contract,以及非聊天推薦快照的場景級 agent_preferences
curl "https://api.tokenlab.sh/v1/models/gpt-5.4" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "gpt-5.4",
  "object": "model",
  "created": 1706000000,
  "owned_by": "openai"
}

非聊天推薦中繼資料

對於非聊天模型,詳情路由還會回傳 lemondata.agent_preferences.<scene> 可用來查看:
  • preferred_rank
  • success_rate_24h
  • sample_count_24h
  • status
  • updated_at
公開回應會刻意將 basis.channel_idbasis.physical_model 保持為 null,讓 agent 可以消費推薦訊號,但不會看到內部路由識別符。

公開詳情中繼資料

GET /v1/models 相比,詳情路由還可以額外回傳:
  • lemondata.capability_flags
  • lemondata.supported_operations
  • lemondata.pricing_provenance
  • lemondata.public_contract_summary
  • lemondata.public_contract

錯誤處理

如果模型不存在,您將收到 404 錯誤:
{
  "error": {
    "message": "Model 'invalid-model' not found",
    "type": "invalid_request_error",
    "code": "model_not_found"
  }
}